system freeze after vt switching

Bug #1542939 reported by stinger
108
This bug affects 33 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
Fedora
Confirmed
Undecided
linux (Ubuntu)
Fix Released
Medium
Unassigned
Xenial
Fix Released
Medium
Unassigned
linux-lts-xenial (Ubuntu)
Fix Released
Medium
Unassigned
Xenial
In Progress
Medium
Unassigned

Bug Description

I'm trying to use the ctrl+alt+1 to switch to a terminal - ok,
after switching back by ctrl+alt+7 the system freeze

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-3-generic 4.4.0-3.17
ProcVersionSignature: Ubuntu 4.4.0-3.17-generic 4.4.1
Uname: Linux 4.4.0-3-generic x86_64
ApportVersion: 2.19.4-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: stinger 1644 F.... pulseaudio
Date: Sun Feb 7 22:27:42 2016
HibernationDevice: RESUME=UUID=888e93f3-1a7d-4bf8-a00d-cea6a759d03a
InstallationDate: Installed on 2015-11-12 (87 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151112)
Lsusb:
 Bus 002 Device 003: ID 24ae:2000
 Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK Computer Inc. P53E
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-3-generic root=UUID=9ad09333-ac7d-4b10-99a0-1e598daa4753 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-3-generic N/A
 linux-backports-modules-4.4.0-3-generic N/A
 linux-firmware 1.155
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/15/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P53E.209
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: P53E
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP53E.209:bd03/15/2012:svnASUSTeKComputerInc.:pnP53E:pvr1.0:rvnASUSTeKComputerInc.:rnP53E:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: P53E
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

Revision history for this message
In , Tomas Janousek (lis) wrote :
Download full text (6.9 KiB)

I'm sometimes getting "vblank wait timed out on crtc 0" when switching between X and console on my ThinkPad T420.

Steps to reproduce:
1. get a machine with sandybridge and optimus
2. boot it with some 4.4-rc kernel
3. power off nvidia using bbswitch (couldn't reproduce without this)
4. switch between X and console a few times
   (while :; do chvt 10; sleep 2; chvt 1; sleep 2; done)
5. this happens:

------------[ cut here ]------------
WARNING: CPU: 0 PID: 1382 at drivers/gpu/drm/drm_irq.c:1216 drm_wait_one_vblank+0x1b0/0x1c0()
vblank wait timed out on crtc 0
Modules linked in: ccm br_netfilter bridge stp llc dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c dm_bufio binfmt_misc tun bnep nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_raw ip6table_filter ip6_tables xt_multiport xt_conntrack iptable_raw uvcvideo xt_TCPMSS xt_tcpudp iptable_mangle btusb ipt_MASQUERADE nf_nat_masquerade_ipv4 videobuf2_vmalloc btrtl xt_addrtype videobuf2_memops videobuf2_v4l2 btbcm iptable_nat arc4 nf_conntrack_ipv4 btintel videobuf2_core iwldvm bluetooth nf_defrag_ipv4 nf_nat_ipv4 v4l2_common nf_nat videodev mac80211 iptable_filter ip_tables x_tables x86_pkg_temp_thermal kvm_intel kvm iwlwifi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_codec cfg80211 irqbypass crc32_pclmul snd_hwdep crc32c_intel sdhci_pci snd_hda_core sdhci snd_pcm_oss aesni_intel mmc_core aes_x86_64 lrw hdaps(O) thinkpad_ec(O) glue_helper psmouse ablk_helper snd_mixer_oss cryptd snd_pcm serio_raw e1000e thinkpad_acpi ehci_pci snd_timer nvram ehci_hcd wmi usbcore ptp snd pps_core tpm_rng tpm_tis tpm battery bbswitch(O) nf_conntrack_netlink soundcore ac i2c_i801 usb_common nfnetlink evdev nf_conntrack_sip nf_conntrack_proto_sctp nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_h323 nf_conntrack_irc nf_conntrack_ftp nf_conntrack coretemp hwmon ecryptfs loop dm_crypt
CPU: 0 PID: 1382 Comm: Xorg Tainted: G O 4.4.0-rc2-lis64-bisect+ #13
Hardware name: LENOVO 4178A3G/4178A3G, BIOS 83ET76WW (1.46 ) 07/05/2013
 0000000000000000 0000000061618deb ffff88041fc0b790 ffffffff8f301fcc
 ffff88041fc0b7d8 ffff88041fc0b7c8 ffffffff8f05a062 ffff88042ad01000
 0000000000000000 0000000000000000 0000000000000f58 ffff88042b485a08
Call Trace:
 [<ffffffff8f301fcc>] dump_stack+0x4e/0x82
 [<ffffffff8f05a062>] warn_slowpath_common+0x82/0xc0
 [<ffffffff8f05a0fc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff8f703d0e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
 [<ffffffff8f095765>] ? finish_wait+0x55/0x70
 [<ffffffff8f427730>] drm_wait_one_vblank+0x1b0/0x1c0
 [<ffffffff8f095bf0>] ? wake_atomic_t_function+0x60/0x60
 [<ffffffff8f4bd302>] intel_atomic_commit+0x732/0x1890
 [<ffffffff8f44017e>] ? drm_atomic_check_only+0x18e/0x590
 [<ffffffff8f43ff27>] ? drm_atomic_add_affected_connectors+0x27/0xf0
 [<ffffffff8f4405b7>] drm_atomic_commit+0x37/0x60
 [<ffffffff8f41d76f>] restore_fbdev_mode+0x22f/0x260
 [<ffffffff8f41fac3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80
 [<ffffffff8f41fb3d>] drm_fb_helper_set_par+0x2d/0x50
 [<ffffffff8f4d45ca>] intel_fbdev_set_par+0x1a/0x60
 [<ffffffff8f365ae1>] ? fb_set_var+0x301/0x450
 [<ffffffff8f365a28>] fb_set_var...

Read more...

Revision history for this message
stinger (dev-t) wrote :
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Critical
tags: added: bios-outdated-210
Changed in linux (Ubuntu):
importance: Critical → Low
status: Confirmed → Incomplete
Revision history for this message
stinger (dev-t) wrote :
Download full text (4.7 KiB)

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] Passwort für stinger:
P53E.210
06/22/2012

no improvement, same crash
Feb 11 08:45:21 serona kernel: [ 286.815504] ------------[ cut here ]------------
Feb 11 08:45:21 serona kernel: [ 286.815541] WARNING: CPU: 1 PID: 835 at /build/linux-_4QtIa/linux-4.4.0/drivers/gpu/drm/drm_irq.c:1268 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
Feb 11 08:45:21 serona kernel: [ 286.815543] vblank wait timed out on crtc 0
Feb 11 08:45:21 serona kernel: [ 286.815622] Modules linked in: rfcomm btusb btrtl btbcm btintel bnep drbg ansi_cprng ctr ccm binfmt_misc bluetooth hid_generic intel_rapl asus_nb_wmi asus_wmi sparse_keymap x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_hdmi kvm_intel snd_hda_codec_realtek snd_hda_codec_generic kvm irqbypass snd_hda_intel crct10dif_pclmul snd_hda_codec arc4 crc32_pclmul snd_hda_core snd_hwdep cryptd snd_pcm iwldvm snd_seq_midi snd_seq_midi_event mac80211 snd_rawmidi usbhid hid snd_seq input_leds iwlwifi serio_raw snd_seq_device cfg80211 snd_timer mei_me lpc_ich mei snd shpchp soundcore joydev mac_hid parport_pc ppdev lp parport autofs4 i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops psmouse drm ahci libahci atl1c wmi video fjes
Feb 11 08:45:21 serona kernel: [ 286.815628] CPU: 1 PID: 835 Comm: Xorg Not tainted 4.4.0-4-generic #19-Ubuntu
Feb 11 08:45:21 serona kernel: [ 286.815630] Hardware name: ASUSTeK Computer Inc. P53E/P53E, BIOS P53E.210 06/22/2012
Feb 11 08:45:21 serona kernel: [ 286.815637] 0000000000000000 000000008c1d88b6 ffff8800b5d77838 ffffffff813d9d54
Feb 11 08:45:21 serona kernel: [ 286.815641] ffff8800b5d77880 ffff8800b5d77870 ffffffff8107ec12 ffff880035bfb800
Feb 11 08:45:21 serona kernel: [ 286.815644] 0000000000000000 0000000000000000 00000000000042af ffff8801381cf808
Feb 11 08:45:21 serona kernel: [ 286.815646] Call Trace:
Feb 11 08:45:21 serona kernel: [ 286.815656] [<ffffffff813d9d54>] dump_stack+0x44/0x60
Feb 11 08:45:21 serona kernel: [ 286.815664] [<ffffffff8107ec12>] warn_slowpath_common+0x82/0xc0
Feb 11 08:45:21 serona kernel: [ 286.815668] [<ffffffff8107ecac>] warn_slowpath_fmt+0x5c/0x80
Feb 11 08:45:21 serona kernel: [ 286.815676] [<ffffffff810c0b75>] ? finish_wait+0x55/0x70
Feb 11 08:45:21 serona kernel: [ 286.815696] [<ffffffffc00612a5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
Feb 11 08:45:21 serona kernel: [ 286.815702] [<ffffffff810c1010>] ? wake_atomic_t_function+0x60/0x60
Feb 11 08:45:21 serona kernel: [ 286.815772] [<ffffffffc01fdd3a>] intel_atomic_commit+0x43a/0x6f0 [i915]
Feb 11 08:45:21 serona kernel: [ 286.815810] [<ffffffffc007a2c7>] ? drm_atomic_add_affected_connectors+0x27/0xf0 [drm]
Feb 11 08:45:21 serona kernel: [ 286.815838] [<ffffffffc007a957>] drm_atomic_commit+0x37/0x60 [drm]
Feb 11 08:45:21 serona kernel: [ 286.815855] [<ffffffffc0114d1f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
Feb 11 08:45:21 serona kernel: [ 286.815870] [<ffffffffc0116f23>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
Feb 11 08:45:21 serona kernel: [ 286.815881] [<ffffffffc0116f9d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_hel...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

stinger, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-210
removed: bios-outdated-210
Changed in linux (Ubuntu):
importance: Low → Medium
status: Confirmed → Incomplete
stinger (dev-t)
tags: added: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc3
Revision history for this message
stinger (dev-t) wrote :

Christopher, the latest mainline kernel from /~kernel-ppa/mainline/v4.5-rc3-wily fix the VT switching issue.

stinger@serona:~$ uname -a
Linux serona 4.5.0-040500rc3-generic #201602071930 SMP Mon Feb 8 00:34:43 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
stinger (dev-t) wrote :

Oh, wait only the freeze is fixed. Some kernel errors left

Feb 11 21:43:34 serona kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Feb 11 21:43:34 serona kernel: [drm:intel_set_pch_fifo_underrun_reporting [i915]] *ERROR* uncleared pch fifo underrun on pch transcoder A
Feb 11 21:43:34 serona kernel: [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

stinger, to advise, the scope of this report is only the freeze (not line items containing the word error).

Despite this, the next step is to fully reverse commit bisect from kernel 4.4 to 4.5-rc3 in order to identify the last bad commit, followed immediately by the first good one. Once this good commit has been identified, it may be reviewed for backporting. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the fix commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: needs-reverse-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
stinger (dev-t) wrote :

v4.4-wily: freeze
v4.4.1-wily: freeze
v4.5-rc1-wily: no freeze <<<<<<<
v4.5-rc2-wily: no freeze
v4.5-rc3-wily: no freeze

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
In , emes (emes-redhat-bugs) wrote :

Additional info:
reporter: libreport-2.6.4
WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/drm_irq.c:1268 drm_wait_one_vblank+0x191/0x1a0 [drm]()
vblank wait timed out on crtc 0
Modules linked in: i915(+) i2c_algo_bit dm9601 drm_kms_helper usbnet mii syscopyarea sysfillrect sysimgblt e1000e fb_sys_fops drm uas serio_raw ata_generic usb_storage pata_acpi ptp pps_core video fjes
CPU: 0 PID: 83 Comm: kworker/u4:5 Not tainted 4.4.2-301.fc23.i686 #1
Hardware name: Hewlett-Packard HP Compaq 6720s/30D8, BIOS 68MDU Ver. F.01 07/05/2007
Workqueue: events_unbound async_run_entry_fn
 c0d8a967 d871a81f 00000000 f691bb94 c07264a0 f691bbd4 f691bbc4 c0460107
 f7eb0df0 f691bbf4 00000053 f7eaeaae 000004f4 f7e88551 f7e88551 f64b4400
 00000000 00000000 f691bbe0 c046017e 00000009 f691bbd4 f7eb0df0 f691bbf4
Call Trace:
 [<c07264a0>] dump_stack+0x41/0x61
 [<c0460107>] warn_slowpath_common+0x87/0xc0
 [<f7e88551>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<f7e88551>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c046017e>] warn_slowpath_fmt+0x3e/0x60
 [<f7e88551>] drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c049e330>] ? wake_atomic_t_function+0x70/0x70
 [<f8099ae7>] intel_get_load_detect_pipe+0x5d7/0x5f0 [i915]
 [<f80d4036>] intel_tv_detect+0x106/0x660 [i915]
 [<c0490208>] ? check_preempt_wakeup+0xe8/0x220
 [<f7de3c7b>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<f7de3f07>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f7def73a>] drm_fb_helper_initial_config+0x9a/0x400 [drm_kms_helper]
 [<c0498829>] ? pick_next_task_fair+0x459/0x520
 [<f80aab19>] intel_fbdev_initial_config+0x19/0x20 [i915]
 [<c047d78e>] async_run_entry_fn+0x4e/0x170
 [<c0475bc5>] process_one_work+0x145/0x380
 [<c0475e39>] worker_thread+0x39/0x430
 [<c0475e00>] ? process_one_work+0x380/0x380
 [<c047b0d6>] kthread+0xa6/0xc0
 [<c0ada7c9>] ret_from_kernel_thread+0x21/0x38
 [<c047b030>] ? kthread_worker_fn+0x130/0x130

Revision history for this message
In , emes (emes-redhat-bugs) wrote :

Created attachment 1131882
File: dmesg

Revision history for this message
In , partha (partha-redhat-bugs) wrote :

*** Bug 1316214 has been marked as a duplicate of this bug. ***

Revision history for this message
In , hamelg (hamelg) wrote :

I confirm this bug. Sometimes, Xserver hangs when switching back VT from text mode to graphical display. When it hangs, suspend2ram and resume fixes the issue. Here is the stack :

------------[ cut here ]------------
WARNING: CPU: 2 PID: 10921 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b0/0x1c0 [drm]()
vblank wait timed out on crtc 0
Modules linked in: sha256_ssse3 sha256_generic hmac drbg ansi_cprng ctr ccm joydev mousedev iTCO_wdt i
 syscopyarea mei sysfillrect sysimgblt fb_sys_fops i2c_algo_bit snd_timer ptp pps_core nvram snd sound
CPU: 2 PID: 10921 Comm: Xorg Tainted: G U W O 4.4.5-1-ARCH #1
Hardware name: LENOVO 4236JZ5/4236JZ5, BIOS 83ET78WW (1.48 ) 01/21/2016
 0000000000000286 0000000074de7b7f ffff8800c2edf810 ffffffff812cb391
 ffff8800c2edf858 ffffffffa0533272 ffff8800c2edf848 ffffffff810776e2
 ffff880118b99800 0000000000000000 0000000000000000 00000000000ac2c4
Call Trace:
 [<ffffffff812cb391>] dump_stack+0x63/0x82
 [<ffffffff810776e2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff8107777c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff810b8825>] ? finish_wait+0x55/0x70
 [<ffffffff810747eb>] ? __mmdrop+0x7b/0xd0
 [<ffffffffa0506840>] drm_wait_one_vblank+0x1b0/0x1c0 [drm]
 [<ffffffff810b8cc0>] ? wake_atomic_t_function+0x60/0x60
 [<ffffffffa0791685>] intel_atomic_commit+0x475/0x1430 [i915]
 [<ffffffffa051f55e>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa051f307>] ? drm_atomic_add_affected_connectors+0x27/0xf0 [drm]
 [<ffffffffa051f997>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa0572faf>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa0575313>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa057538d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa07a819a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff812f2db9>] ? __percpu_counter_add+0x59/0x80
 [<ffffffff8133fa46>] fb_set_var+0x236/0x460
 [<ffffffff8117db21>] ? shmem_recalc_inode+0x71/0xa0
 [<ffffffff810a744c>] ? __enqueue_entity+0x6c/0x70
 [<ffffffff810adfeb>] ? enqueue_entity+0x1fb/0xd20
 [<ffffffff813366ef>] fbcon_blank+0x30f/0x350
 [<ffffffff813b2ef3>] do_unblank_screen+0xc3/0x190
 [<ffffffff813a941a>] vt_ioctl+0x50a/0x12e0
 [<ffffffff811f0050>] ? filename_parentat+0xe0/0x150
 [<ffffffff8139d731>] tty_ioctl+0x361/0xc30
 [<ffffffff813e5693>] ? vga_arb_release+0xe3/0x130
 [<ffffffff811c33d0>] ? kfree+0x170/0x180
 [<ffffffff811fff5c>] ? mntput_no_expire+0x2c/0x1b0
 [<ffffffff811f3258>] do_vfs_ioctl+0x298/0x480
 [<ffffffff811fd307>] ? __fget+0x77/0xb0
 [<ffffffff811f34b9>] SyS_ioctl+0x79/0x90
 [<ffffffff815970ee>] entry_SYSCALL_64_fastpath+0x12/0x6d
---[ end trace 5926662876f4c875 ]---

Revision history for this message
In , hamelg (hamelg) wrote :

Here, upgrading to linux 4.5 have fixed the issue :)
Great !

Revision history for this message
In , Tomas Janousek (lis) wrote :

Yeah, that's good news. Not really surprising given "drm/i915: Calculate watermark related members in the crtc_state, v4." is pretty old and was in the queue already when I researched this, but I'm very glad to hear that they haven't managed to break it with something else. :-)

Revision history for this message
Vincent Gerris (vgerris) wrote :

I have random freezes on:
Linux vincent-Lenovo-Yoga-2-11 4.4.0-15-generic #31-Ubuntu SMP Fri Mar 18 19:08:31 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

I can switch VT without problems, but I have had lockups now for 5 times.
I hope this "stable" version will have that fixed before the kernel freeze date.
Another risk of losing users Ubuntu!

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Vincent Gerris, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Revision history for this message
stinger (dev-t) wrote :

try it often, you will see the freeze ........
iam now on Ubuntu 4.4.0-16.32-generic 4.4.6

this is the problem on linux 4.4
linux-4.4.0/drivers/gpu/drm/drm_irq.c:1268 drm_wait_one_vblank+0x1b5/0x1c0 [drm]
see my CurrentDmesg.txt

Revision history for this message
Vincent Gerris (vgerris) wrote :

Hi Christopher,

Thank your for the quick reply, here you go:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1562618

Let me know if you need more info.

Kind regards,
Vincent

Revision history for this message
In , Jani-nikula (jani-nikula) wrote :

Thanks for following up.

Revision history for this message
In , Freedesktop-q (freedesktop-q) wrote :
Download full text (3.3 KiB)

(In reply to Tomas Janousek from comment #3)
> "drm/i915: Calculate
> watermark related members in the crtc_state, v4." is pretty old and was in
> the queue already when I researched this, [...]

I think I'm hit with the same bug. Is there any way to find out which kernel releases have it. Specifically, has it been back-ported to the 4.1 line?

To verify that I am hit with this bug, my trace:

------------[ cut here ]------------
WARNING: CPU: 0 PID: 1011 at drivers/gpu/drm/drm_irq.c:1141 drm_wait_one_vblank+0x9d/0x170 [drm]()
vblank wait timed out on crtc 0
Modules linked in: ctr ccm af_packet uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev hid_logitech_hidpp hid_logitech_dj btrfs xor zlib_deflate snd_hda_codec_hdmi snd_hda_codec_generic raid6_pq zlib_inflate arc4 i915 coretemp x86_pkg_temp_thermal intel_powerclamp fbcon bitblit softcursor font aesni_intel cfbfillrect cfbimgblt i2c_algo_bit cfbcopyarea aes_x86_64 glue_helper drm_kms_helper iwldvm lrw gf128mul mac80211 drm sdhci_pci ablk_helper cryptd sdhci microcode psmouse mmc_core snd_hda_intel snd_hda_controller i2c_i801 xhci_pci iwlwifi xhci_hcd snd_hda_codec i2c_core snd_hwdep fb snd_hda_core cfg80211 wmi thinkpad_acpi fbdev e1000e intel_gtt snd_pcm agpgart snd_timer nvram ptp snd pps_core soundcore ehci_pci hwmon ehci_hcd rfkill evdev video ipv6
CPU: 0 PID: 1011 Comm: X Not tainted 4.1.15-gentoo-r1 #3
Hardware name: LENOVO 4290W4H/4290W4H, BIOS 8DET70WW (1.40 ) 05/14/2015
 0000000000000000 ffffffffa039fd90 ffffffff8143e0e9 ffff88020f843888
 ffffffff8104739c 0000000000000000 ffff8800d857a000 0000000000000000
 0000000000000000 00000000000024ef ffffffff81047415 ffffffffa03a1518
Call Trace:
 [<ffffffff8143e0e9>] ? dump_stack+0x40/0x50
 [<ffffffff8104739c>] ? warn_slowpath_common+0x7c/0xb0
 [<ffffffff81047415>] ? warn_slowpath_fmt+0x45/0x50
 [<ffffffff8107c32e>] ? prepare_to_wait_event+0x7e/0xf0
 [<ffffffffa037660d>] ? drm_wait_one_vblank+0x9d/0x170 [drm]
 [<ffffffff8107c220>] ? wait_woken+0x80/0x80
 [<ffffffffa04b35f0>] ? drm_plane_helper_commit+0x250/0x2c0 [drm_kms_helper]
 [<ffffffffa0692587>] ? intel_crtc_set_config+0x817/0xf60 [i915]
 [<ffffffffa038d91a>] ? drm_atomic_state_clear+0x10a/0x180 [drm]
 [<ffffffffa037ed0f>] ? drm_mode_set_config_internal+0x5f/0x100 [drm]
 [<ffffffffa04bb6c9>] ? restore_fbdev_mode+0xb9/0xe0 [drm_kms_helper]
 [<ffffffffa04bd4eb>] ? drm_fb_helper_restore_fbdev_mode_unlocked+0x1b/0x60 [drm_kms_helper]
 [<ffffffffa04bd54d>] ? drm_fb_helper_set_par+0x1d/0x40 [drm_kms_helper]
 [<ffffffffa06a0901>] ? intel_fbdev_set_par+0x11/0x60 [i915]
 [<ffffffff8114c935>] ? do_sys_poll+0x105/0x530
 [<ffffffffa023f80c>] ? fb_set_var+0x16c/0x3a0 [fb]
 [<ffffffffa05d7355>] ? fbcon_blank+0x225/0x2e0 [fbcon]
 [<ffffffff812951b2>] ? do_unblank_screen+0xb2/0x1e0
 [<ffffffff8128b86f>] ? complete_change_console+0x4f/0xd0
 [<ffffffff8128c9ae>] ? vt_ioctl+0x10be/0x1340
 [<ffffffffa037450c>] ? drm_ioctl+0x18c/0x580 [drm]
 [<ffffffff8113a008>] ? __sb_end_write+0x28/0x60
 [<ffffffff8128066e>] ? tty_ioctl+0x3ce/0xc00
 [<ffffffff8114ac98>] ? do_vfs_ioctl+0x2e8/0x4f0
 [<ffffffff8113a008>] ? __sb_end_write+0x28/0x60
 [<ffffffff81137fa3>] ? vfs_write+0x183/0x1b0
 [<...

Read more...

Revision history for this message
Christian Reis (kiko) wrote :

This is affecting an increasing set of users; for instance, it seems to be the underlying problem in bug 1545238. My Thinkpad X220 is also showing the same problem, which suggests multiple Intel graphics systems may be affected.

See upstream bugs: https://bugzilla.kernel.org/show_bug.cgi?id=92171 and https://bugs.freedesktop.org/show_bug.cgi?id=89108

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Christian Reis (kiko) wrote :

Actually, this upstream bug is more likely to be related: https://bugs.freedesktop.org/show_bug.cgi?id=93509 -- this includes a tentative bisect indicating the commit.

Revision history for this message
In , Christian Reis (kiko) wrote :

See also bug 93782.

Revision history for this message
Christian Reis (kiko) wrote :
Revision history for this message
Christian Reis (kiko) wrote :
Changed in linux:
importance: Unknown → Medium
status: Unknown → Fix Released
oleg (overlayfs)
Changed in linux-lts-xenial (Ubuntu):
status: New → Confirmed
tags: added: patch
Changed in linux-lts-xenial (Ubuntu):
importance: Undecided → Medium
Revision history for this message
In , robert (robert-redhat-bugs) wrote :

Description of problem:
tryed to download chrome and opera browser

Version-Release number of selected component:
kernel

Additional info:
reporter: libreport-2.6.4
cmdline: BOOT_IMAGE=/vmlinuz-4.4.6-301.fc23.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-af4374a9-1123-4720-bd6b-ff17ca881866 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_CA.UTF-8
kernel: 4.4.6-301.fc23.i686
runlevel: unknown
type: Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 89 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x191/0x1a0 [drm]()
vblank wait timed out on crtc 0
Modules linked in: i915(+) i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt sdhci_pci fb_sys_fops firewire_ohci sdhci drm firewire_core mmc_core serio_raw ata_generic crc_itu_t sky2 pata_acpi fjes video
CPU: 0 PID: 89 Comm: kworker/u4:6 Not tainted 4.4.6-301.fc23.i686 #1
Hardware name: Dell Inc. Inspiron 1525 /0U990C, BIOS A11 03/10/2008
Workqueue: events_unbound async_run_entry_fn
 c0d8e967 50e54742 00000286 f69a7b94 c0729827 f69a7bd4 f7eafaae f69a7bc4
 c0460657 f7eb1eac f69a7bf4 00000059 f7eafaae 0000052e f7e88741 f7e88741
 f6232400 00000000 00000000 f69a7be0 c04606ce 00000009 f69a7bd4 f7eb1eac
Call Trace:
 [<c0729827>] dump_stack+0x58/0x81
 [<c0460657>] warn_slowpath_common+0x87/0xc0
 [<f7e88741>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<f7e88741>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c04606ce>] warn_slowpath_fmt+0x3e/0x60
 [<f7e88741>] drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c049ede0>] ? wake_atomic_t_function+0x70/0x70
 [<f809c587>] intel_get_load_detect_pipe+0x5d7/0x5f0 [i915]
 [<c0734f21>] ? vsnprintf+0x321/0x420
 [<f80d6b66>] intel_tv_detect+0x106/0x660 [i915]
 [<c0490c78>] ? check_preempt_wakeup+0xe8/0x220
 [<f7da5c7b>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<f7da5f07>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f7db1b5a>] drm_fb_helper_initial_config+0x9a/0x400 [drm_kms_helper]
 [<c04992d9>] ? pick_next_task_fair+0x459/0x520
 [<f80ad5f9>] intel_fbdev_initial_config+0x19/0x20 [i915]
 [<c047e03e>] async_run_entry_fn+0x4e/0x170
 [<c04763e3>] process_one_work+0x123/0x3c0
 [<c04766b9>] worker_thread+0x39/0x430
 [<c0476680>] ? process_one_work+0x3c0/0x3c0
 [<c047b956>] kthread+0xa6/0xc0
 [<c0adfc09>] ret_from_kernel_thread+0x21/0x38
 [<c047b8b0>] ? kthread_worker_fn+0x130/0x130

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
oleg (overlayfs) wrote :

This bug affects the 4.4 kernel, including the xenial kernel and the lts-xenial kernel in trusty.

The linked freedesktop bug report mentions that the bug was fixed in the 4.5 kernel with the following commit,

http://kernel.ubuntu.com/git/ubuntu/linux.git/commit/?id=92826fcdfc147a7d16766e987c12a9dfe1860c3f

The commit was not backported to the 4.4 kernel, and is not present in the xenial kernel.

I initially tested the 4.5 mainline kernel and found that it does fix the bug.

I then attempted to apply the aforementioned commit to the xenial kernel and found that it does not apply cleanly. By including two earlier patches I was able to get it to apply (with minor porting). But the resultant kernel did not fix the bug.

Details:
The two earlier patches are:

drm/i915/ivb: Move WaCxSRDisabledForSpriteScaling w/a to atomic check, d21fbe87ce18297af0a9b7cc0cd545fd9ac28d33

drm/i915: Move disable_cxsr to the crtc_state,
ab1d3a0e5a44f5b1a8d1f811e925c8519b56fba4

oleg (overlayfs)
tags: removed: patch
Revision history for this message
oleg (overlayfs) wrote :

A reverse-bisect (as per comment #8) shows that the first good commit is:

commit 14de6c44d149c68df1800ded42bbab51485ef67a
Author: Maarten Lankhorst <email address hidden>

    drm/atomic: Remove drm_atomic_connectors_for_crtc.

tags: added: bisect-done
removed: needs-reverse-bisect
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
oleg (overlayfs) wrote :

Applying the following two cherry-picks to the xenial (Ubuntu-4.4.0-22.39) kernel solves the bug for my hardware,

git cherry-pick 4cd3991
git am 0001-drm-atomic-Remove-drm_atomic_connectors_for_crtc.patch # 14de6c4 does not apply cleanly, so use the attached patch

[For the mainline (v4.4.9) kernel, I have not figured out a minimal set of cherry-picks.]

tags: added: patch
Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Xenial):
status: New → In Progress
Changed in linux-lts-xenial (Ubuntu Xenial):
status: New → Fix Committed
status: Fix Committed → In Progress
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Revision history for this message
oleg (overlayfs) wrote :

In comment #33, commit 4cd3991 is superfluous. I have verified that the bug can be fixed on my hardware by applying a single cherry-pick to the xenial (Ubuntu-4.4.0-22.39) kernel,

git am 0001-drm-atomic-Remove-drm_atomic_connectors_for_crtc.patch # 14de6c4 backported to xenial

Thanks to the following comment for suggesting that commit 4cd3991 is superfluous,
https://lists.ubuntu.com/archives/kernel-team/2016-May/077206.html

Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
Changed in linux-lts-xenial (Ubuntu Xenial):
importance: Undecided → Medium
Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
oleg (overlayfs)
tags: added: verification-done-xenial
removed: verification-needed-xenial
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (16.9 KiB)

This bug was fixed in the package linux - 4.4.0-23.41

---------------
linux (4.4.0-23.41) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1582431

  * zfs: disable module checks for zfs when cross-compiling (LP: #1581127)
    - [Packaging] disable zfs module checks when cross-compiling

  * Xenial update to v4.4.10 stable release (LP: #1580754)
    - Revert "UBUNTU: SAUCE: (no-up) ACPICA: Dispatcher: Update thread ID for
      recursive method calls"
    - Revert "UBUNTU: SAUCE: nbd: ratelimit error msgs after socket close"
    - Revert: "powerpc/tm: Check for already reclaimed tasks"
    - RDMA/iw_cxgb4: Fix bar2 virt addr calculation for T4 chips
    - ipvs: handle ip_vs_fill_iph_skb_off failure
    - ipvs: correct initial offset of Call-ID header search in SIP persistence
      engine
    - ipvs: drop first packet to redirect conntrack
    - mfd: intel-lpss: Remove clock tree on error path
    - nbd: ratelimit error msgs after socket close
    - ata: ahci_xgene: dereferencing uninitialized pointer in probe
    - mwifiex: fix corner case association failure
    - CNS3xxx: Fix PCI cns3xxx_write_config()
    - clk-divider: make sure read-only dividers do not write to their register
    - soc: rockchip: power-domain: fix err handle while probing
    - clk: rockchip: free memory in error cases when registering clock branches
    - clk: meson: Fix meson_clk_register_clks() signature type mismatch
    - clk: qcom: msm8960: fix ce3_core clk enable register
    - clk: versatile: sp810: support reentrance
    - clk: qcom: msm8960: Fix ce3_src register offset
    - lpfc: fix misleading indentation
    - ath9k: ar5008_hw_cmn_spur_mitigate: add missing mask_m & mask_p
      initialisation
    - mac80211: fix statistics leak if dev_alloc_name() fails
    - tracing: Don't display trigger file for events that can't be enabled
    - MD: make bio mergeable
    - Minimal fix-up of bad hashing behavior of hash_64()
    - mm, cma: prevent nr_isolated_* counters from going negative
    - mm/zswap: provide unique zpool name
    - ARM: EXYNOS: Properly skip unitialized parent clock in power domain on
    - ARM: SoCFPGA: Fix secondary CPU startup in thumb2 kernel
    - xen: Fix page <-> pfn conversion on 32 bit systems
    - xen/balloon: Fix crash when ballooning on x86 32 bit PAE
    - xen/evtchn: fix ring resize when binding new events
    - HID: wacom: Add support for DTK-1651
    - HID: Fix boot delay for Creative SB Omni Surround 5.1 with quirk
    - Input: zforce_ts - fix dual touch recognition
    - proc: prevent accessing /proc/<PID>/environ until it's ready
    - mm: update min_free_kbytes from khugepaged after core initialization
    - batman-adv: fix DAT candidate selection (must use vid)
    - batman-adv: Check skb size before using encapsulated ETH+VLAN header
    - batman-adv: Fix broadcast/ogm queue limit on a removed interface
    - batman-adv: Reduce refcnt of removed router when updating route
    - writeback: Fix performance regression in wb_over_bg_thresh()
    - MAINTAINERS: Remove asterisk from EFI directory names
    - x86/tsc: Read all ratio bits from MSR_PLATFORM_INFO
    - ARM: cpuidle: Pass on arm_cpuidle_s...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-xenial - 4.4.0-24.43~14.04.1

---------------
linux-lts-xenial (4.4.0-24.43~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * CVE-2016-1583 (LP: #1588871)
    - ecryptfs: fix handling of directory opening
    - SAUCE: proc: prevent stacking filesystems on top
    - SAUCE: ecryptfs: forbid opening files without mmap handler
    - SAUCE: sched: panic on corrupted stack end

  * arm64: statically link rtc-efi (LP: #1583738)
    - [Config] Link rtc-efi statically on arm64

 -- Andy Whitcroft <email address hidden> Wed, 08 Jun 2016 20:01:12 +0100

Changed in linux-lts-xenial (Ubuntu):
status: Confirmed → Fix Released
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.4.0-24.43

---------------
linux (4.4.0-24.43) xenial; urgency=low

  [ Kamal Mostafa ]

  * CVE-2016-1583 (LP: #1588871)
    - ecryptfs: fix handling of directory opening
    - SAUCE: proc: prevent stacking filesystems on top
    - SAUCE: ecryptfs: forbid opening files without mmap handler
    - SAUCE: sched: panic on corrupted stack end

  * arm64: statically link rtc-efi (LP: #1583738)
    - [Config] Link rtc-efi statically on arm64

 -- Kamal Mostafa <email address hidden> Fri, 03 Jun 2016 10:02:16 -0700

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Giorgio Vazzana (mywing) wrote :
Download full text (5.5 KiB)

Hello, I see that the problem is still present on Ubuntu 16.04 x86_64 on my Thinkpad T420. Can anybody confirm that? Also, what's the easiest workaround at the moment? Thanks.

holden@lynx:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

holden@lynx:~$ uname -a
Linux lynx 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Sep 23 00:33:20 lynx kernel: [ 965.988645] ------------[ cut here ]------------
Sep 23 00:33:20 lynx kernel: [ 965.988696] WARNING: CPU: 2 PID: 1328 at /build/linux-R0TiM8/linux-4.4.0/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
Sep 23 00:33:20 lynx kernel: [ 965.988698] vblank wait timed out on crtc 0
Sep 23 00:33:20 lynx kernel: [ 965.988771] Modules linked in: nls_iso8859_1 drbg ansi_cprng ctr ccm bnep intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel arc4 snd_hda_codec_hdmi kvm snd_hda_codec_conexant irqbypass iwldvm crct10dif_pclmul crc32_pclmul snd_hda_codec_generic mac80211 snd_hda_intel snd_hda_codec uvcvideo aesni_intel videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core aes_x86_64 v4l2_common snd_hda_core lrw snd_hwdep gf128mul videodev glue_helper media ablk_helper thinkpad_acpi cryptd nvram snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi iwlwifi snd_seq btusb input_leds joydev btrtl btbcm btintel snd_seq_device cfg80211 bluetooth snd_timer snd soundcore mei_me mei lpc_ich serio_raw shpchp mac_hid parport_pc ppdev lp parport autofs4 mmc_block i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops e1000e drm firewire_ohci ahci psmouse sdhci_pci ptp sdhci pps_core libahci firewire_core crc_itu_t wmi fjes video
Sep 23 00:33:20 lynx kernel: [ 965.988793] CPU: 2 PID: 1328 Comm: Xorg Not tainted 4.4.0-38-generic #57-Ubuntu
Sep 23 00:33:20 lynx kernel: [ 965.988795] Hardware name: LENOVO 4236BE3/4236BE3, BIOS 83ET78WW (1.48 ) 01/21/2016
Sep 23 00:33:20 lynx kernel: [ 965.988802] 0000000000000286 00000000b106ac7e ffff8802137af860 ffffffff813f1b73
Sep 23 00:33:20 lynx kernel: [ 965.988805] ffff8802137af8a8 ffffffffc010ab38 ffff8802137af898 ffffffff810811c2
Sep 23 00:33:20 lynx kernel: [ 965.988809] ffff880035847000 0000000000000000 0000000000000000 000000000000e240
Sep 23 00:33:20 lynx kernel: [ 965.988810] Call Trace:
Sep 23 00:33:20 lynx kernel: [ 965.988824] [<ffffffff813f1b73>] dump_stack+0x63/0x90
Sep 23 00:33:20 lynx kernel: [ 965.988833] [<ffffffff810811c2>] warn_slowpath_common+0x82/0xc0
Sep 23 00:33:20 lynx kernel: [ 965.988837] [<ffffffff8108125c>] warn_slowpath_fmt+0x5c/0x80
Sep 23 00:33:20 lynx kernel: [ 965.988846] [<ffffffff810c38e5>] ? finish_wait+0x55/0x70
Sep 23 00:33:20 lynx kernel: [ 965.988877] [<ffffffffc00da2e5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
Sep 23 00:33:20 lynx kernel: [ 965.988882] [<ffffffff810c3d80>] ? wake_atomic_t_function+0x60/0x60
Sep 23 00:33:20 lynx kernel: [ 965.988959] [<ffffffffc0262dca>] intel_atomic_commit+0x43a/0x6f0 [i915]
Sep 23 00:33:20 lynx kernel: [ 965.989001] [<ffffffffc00f3977>] ? drm_atomic_add_affected_connectors+0x27/0xf0 [drm]
...

Read more...

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Giorgio Vazzana (mywing), given the fix released didn't address your issue, then this report has nothing to do with your problem.

If you would like your issue addressed, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 23 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Revision history for this message
In , Marcin (marcin-redhat-bugs) wrote :

I encounter the same issue after upgrading old Toshiba laptop from F22 (?) to F25. There is a several seconds delay when graphical mode is switched (e.g. just after Linux is starting to boot or when user is logged in in GDM). Quite annoying.

kernel-4.8.15-300.fc25.x86_64

> kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:29:pipe B] flip_done timed out
> kernel: ------------[ cut here ]------------
> kernel: WARNING: CPU: 1 PID: 1446 at drivers/gpu/drm/drm_irq.c:1224 drm_wait_one_vblank+0x1b6/0x1c0 [drm]
> kernel: vblank wait timed out on crtc 1
> kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtab
> kernel: snd_hwdep ath tifm_7xx1 tifm_core snd_seq snd_seq_device snd_pcm cfg80211 lpc_ich toshiba_acpi industrialio toshiba_bluetooth snd_timer sparse_keymap snd rfkill shpchp wmi soundcore acpi_cpufreq tpm_tis tpm
> kernel: CPU: 1 PID: 1446 Comm: gnome-shell Tainted: G W 4.8.15-300.fc25.x86_64 #1
> kernel: Hardware name: TOSHIBA Satellite A205/ISKAA, BIOS V2.50 06/11/2008
> kernel: 0000000000000286 00000000e099529e ffff8c6339f73918 ffffffff8a3e5e1d
> kernel: ffff8c6339f73968 0000000000000000 ffff8c6339f73958 ffffffff8a0a0e8b
> kernel: 000004c800000000 ffff8c62f5f00000 0000000000000001 0000000000000000
> kernel: Call Trace:
> kernel: [<ffffffff8a3e5e1d>] dump_stack+0x63/0x86
> kernel: [<ffffffff8a0a0e8b>] __warn+0xcb/0xf0
> kernel: [<ffffffff8a0a0f0f>] warn_slowpath_fmt+0x5f/0x80
> kernel: [<ffffffff8a0e4b13>] ? finish_wait+0x53/0x70
> kernel: [<ffffffffc03f0c66>] drm_wait_one_vblank+0x1b6/0x1c0 [drm]
> kernel: [<ffffffff8a0e4d70>] ? prepare_to_wait_event+0xf0/0xf0
> kernel: [<ffffffffc058f182>] intel_get_load_detect_pipe+0x662/0x680 [i915]
> kernel: [<ffffffffc05cc90f>] intel_tv_detect+0x13f/0x5c0 [i915]
> kernel: [<ffffffffc045f04b>] drm_helper_probe_single_connector_modes+0x27b/0x520 [drm_kms_helper]
> kernel: [<ffffffff8a8011b2>] ? mutex_lock+0x12/0x30
> kernel: [<ffffffffc03fbf02>] drm_mode_getconnector+0x372/0x3c0 [drm]
> kernel: [<ffffffffc03eefa0>] drm_ioctl+0x200/0x4f0 [drm]
> kernel: [<ffffffffc03fbb90>] ? drm_mode_getcrtc+0x140/0x140 [drm]
> kernel: [<ffffffff8a264cc3>] do_vfs_ioctl+0xa3/0x5f0
> kernel: [<ffffffff8a265289>] SyS_ioctl+0x79/0x90
> kernel: [<ffffffff8a803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4
> kernel: ---[ end trace cad3eca6b2f7c043 ]---
> kernel: ------------[ cut here ]------------

Revision history for this message
In , Marcin (marcin-redhat-bugs) wrote :

It doesn't occur when downgraded to kernel-4.7.0-2.fc25.

Revision history for this message
In , Felix (felix-redhat-bugs) wrote :

Likely duplicate of bug 1342755 and bug 1365316 even though it is interesting that you see no errors at all with kernel 4.7.0 (can you confirm this by looking at "journalctl -b" with 4.7.x?). However I know that at least some GM965 variants did not have problems until 4.8.x (you might use one of these models).

Anyhow the backtrace is similar to https://bugs.freedesktop.org/show_bug.cgi?id=93782#c5 so I guess that one is the actual upstream bug.

Changed in fedora:
importance: Unknown → Undecided
status: Unknown → Confirmed
Revision history for this message
TJ (tj) wrote :

This has *just* had a fix committed upstream and is hoped to be available in v5.0. Could we get it backported to the LTS kernels?

commit ed20151a7699bb2c77eba3610199789a126940c4
Author: Ville Syrjälä <email address hidden>
Date: Tue Nov 27 20:20:04 2018 +0200

    drm/vblank: Allow dynamic per-crtc max_vblank_count

commit 32db0b6501d97b09e92e70caefc74fa35aa9a8d6
Author: Ville Syrjälä <email address hidden>
Date: Tue Nov 27 22:05:50 2018 +0200

    drm/i915: Don't try to use the hardware frame counter with i965gm TV output

Brad Figg (brad-figg)
tags: added: cscc
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.